<template>
  <b-btn v-if="isShow" :variant="type" :size="size" :class="className">
    <span v-if="icon&&icon!==''"><i :class="icon"></i>&nbsp;&nbsp;</span>
    <slot></slot>
    {{buttonValue}}
  </b-btn>
</template>

<script>
export default {
  name: 'fButton',
  props: {
    type: {
      type: String,
      default: 'warning'
    },
    size: {
      type: String,
      default: ''
    },
    icon: {
      type: String,
      default: ''
    },
    className: {
      type: String,
      default: ''
    },
    clickName: {
      type: String,
      default: ''
    },
    buttonValue: {
      type: String,
      default: ''
    },
    authority: {
      type: String,
      default: 'authority'
    }
  },
  data() {
    return {
      // isAdmin: sessionStorage.getItem('isAdmin') === 'true',
      buttonAuthority: sessionStorage.getItem('buttonAuthoritys') || []
    }
  },
  computed: {
    isAdmin () {
      if (
        sessionStorage.getItem('userInfo') &&
        sessionStorage.getItem('userInfo') !== ''
      ) {
        let loginName = JSON.parse(sessionStorage.getItem('userInfo')).username
        return (
          loginName === 'admin' || loginName === 'basic'
        )
      }
      return false
    },
    isShow () {
      if (this.isAdmin) {
        return true
      } else if (
        this.buttonAuthority.indexOf(',' + this.authority + ',') > -1
      ) {
        return true
      } else {
        return true
      }
    }
  }
}
</script>
